| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
PropertyPolicyHelper Class Reference

`#include <PropertyPolicy.hpp>`

## Static Public Member Functions

static FASTDDS_EXPORTED_API PropertyPolicy | get_properties_with_prefix (const PropertyPolicy &property_policy, const std::string &prefix)
| Returns only the properties whose name starts with the prefix.
static FASTDDS_EXPORTED_API size_t | length (const PropertyPolicy &property_policy)
| Get the length of the property_policy.
static FASTDDS_EXPORTED_API std::string * | find_property (PropertyPolicy &property_policy, const std::string &name)
| Look for a property_policy by name.
static FASTDDS_EXPORTED_API const std::string * | find_property (const PropertyPolicy &property_policy, const std::string &name)
| Retrieves a property_policy by name.
static FASTDDS_EXPORTED_API const Property * | get_property (const PropertyPolicy &property_policy, const std::string &name)
| Retrieves a property by name.

## Member Function Documentation

## ◆ find_property() [1/2]

FASTDDS_EXPORTED_API const std::string * find_property | ( | const PropertyPolicy & | property_policy,
|  | const std::string & | name )

static

Retrieves a property_policy by name.

## ◆ find_property() [2/2]

FASTDDS_EXPORTED_API std::string * find_property | ( | PropertyPolicy & | property_policy,
|  | const std::string & | name )

static

Look for a property_policy by name.

## ◆ get_properties_with_prefix()

FASTDDS_EXPORTED_API PropertyPolicy get_properties_with_prefix | ( | const PropertyPolicy & | property_policy,
|  | const std::string & | prefix )

static

Returns only the properties whose name starts with the prefix.

Prefix is removed in returned properties.

Parameters

  property_policy | PropertyPolicy where properties will be searched.
  prefix | Prefix used to search properties.

Returns
  A copy of properties whose name starts with the prefix.

## ◆ get_property()

FASTDDS_EXPORTED_API const Property * get_property | ( | const PropertyPolicy & | property_policy,
|  | const std::string & | name )

static

Retrieves a property by name.

Parameters

  property_policy | PropertyPolicy where the property will be searched.
  name | Name of the property to be searched.

Returns
  A pointer to the property if found, nullptr otherwise.

## ◆ length()

FASTDDS_EXPORTED_API size_t length | ( | const PropertyPolicy & | property_policy | ) |

static

Get the length of the property_policy.

The documentation for this class was generated from the following file:

- include/fastdds/rtps/attributes/PropertyPolicy.hpp